Bug 742325 - SELinux is preventing /usr/libexec/colord from 'read' accesses on the file mtab.
SELinux is preventing /usr/libexec/colord from 'read' accesses on the file mtab.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
14
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
abrt_hash:fb3ecbde2a7f370e24efde2bf10...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-29 13:45 EDT by Jaroslav Škarvada
Modified: 2011-12-21 17:19 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-21 17:19:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix (380 bytes, patch)
2011-09-30 07:56 EDT, Jaroslav Škarvada
no flags Details | Diff

  None (edit)
Description Jaroslav Škarvada 2011-09-29 13:45:26 EDT
abrt version: 2.0.5.980
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.1.0-0.rc6.git0.3.fc16.i686
reason:         SELinux is preventing /usr/libexec/colord from 'read' accesses on the file mtab.
time:           Thu Sep 29 15:44:30 2011

description:
:SELinux is preventing /usr/libexec/colord from 'read' accesses on the file mtab.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that colord should be allowed read access on the mtab file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep colord /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:colord_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:etc_runtime_t:s0
:Target Objects                mtab [ file ]
:Source                        colord
:Source Path                   /usr/libexec/colord
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           colord-0.1.12-1.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-32.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.1.0-0.rc6.git0.3.fc16.i686 #1 SMP Fri Sep 16
:                              12:22:19 UTC 2011 i686 i686
:Alert Count                   1
:First Seen                    Thu 29 Sep 2011 03:42:24 PM EDT
:Last Seen                     Thu 29 Sep 2011 03:42:24 PM EDT
:Local ID                      a4d92806-1327-4761-8a47-60c83ae2ec0d
:
:Raw Audit Messages
:type=AVC msg=audit(1317325344.390:66): avc:  denied  { read } for  pid=1368 comm="colord" name="mtab" dev=dm-0 ino=139325 scontext=system_u:system_r:colord_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_runtime_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1317325344.390:66): arch=i386 syscall=open success=no exit=EACCES a0=23fd77 a1=8000 a2=1b6 a3=0 items=0 ppid=1 pid=1368 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=colord exe=/usr/libexec/colord subj=system_u:system_r:colord_t:s0-s0:c0.c1023 key=(null)
:
:Hash: colord,colord_t,etc_runtime_t,file,read
:
:audit2allow
:
:#============= colord_t ==============
:allow colord_t etc_runtime_t:file read;
:
:audit2allow -R
:
:#============= colord_t ==============
:allow colord_t etc_runtime_t:file read;
:
Comment 1 Daniel Walsh 2011-09-29 14:07:19 EDT
/etc/mtab is supposed to be a symbolic link in F16?
Comment 2 Jaroslav Škarvada 2011-09-29 14:42:37 EDT
(In reply to comment #1)
> /etc/mtab is supposed to be a symbolic link in F16?
I dont' know, it is the LiveCD, but /etc/mtab is regular file there.
Comment 3 Daniel Walsh 2011-09-29 15:05:26 EDT
Strange.  I guess this is a bug in the livecd then?
Comment 4 Jaroslav Škarvada 2011-09-29 15:54:45 EDT
To be more specific, it is the PM Test Day LiveCD, that was created with kickstart from git://git.fedorahosted.org/spin-kickstarts.git (7e1713b954c6c236851438a6d5b1b8c5be0cf763), qa-test-day.ks, no special tunings was done.
Comment 5 Jaroslav Škarvada 2011-09-29 16:06:08 EDT
The custom/qa-test-day.ks is AFAIK unofficial kickstart. I will try to create the livecd with the fedora-live-desktop.ks from the git HEAD and let you know.
Comment 6 Jaroslav Škarvada 2011-09-29 17:07:47 EDT
Used fedora-live-desktop.ks, from git HEAD (SHA1 ID:7e1713b954c6c236851438a6d5b1b8c5be0cf763), created by livecd-creator (livecd-tools-14.2-1.fc14), the command:
# setarch i686 livecd-creator --config=./fedora-livecd-desktop.ks  --fslabel=PM-Test-Day-LiveCD --cache=/var/cache/live

Only the repos in the ks was overridden by:
repo --name=fedora --baseurl=http://mirror.switch.ch/ftp/mirror/fedora/linux/development/16/$basearch/os/
repo --name=updates --baseurl=http://mirror.switch.ch/ftp/mirror/fedora/linux/updates/16/$basearch/

The /etc/mtab is regular file when the resulting liveCD is booted.
Comment 7 Matthias Clasen 2011-09-29 17:21:19 EDT
Moving this bug to LiveCD is not going to make a difference. I have no idea what to do here.
Comment 8 Jaroslav Škarvada 2011-09-30 07:56:00 EDT
Created attachment 525763 [details]
Proposed fix

Got it, the problem is in the python-imgcreate. The affected version is python-imgcreate-14.2-1.fc14. The version in f16 seems to work OK, f15 not tested. Reassigning to correct component.
Comment 9 Brian Lane 2011-12-21 17:19:32 EST
F14 is now EOL.

Note You need to log in before you can comment on or make changes to this bug.